﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Problems.DataAnalysis.Symbolic;
using HeuristicLab.Problems.DataAnalysis;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;

namespace HeuristicLab.Problems.TradeRules
{
    public interface ITradeRulesExpresionTree : ISymbolicDataAnalysisExpressionTreeInterpreter
    {
         void setInitialTraining(int initialTraining);
         void setInitialTest(int initialTest);
         void clearVariables();
    }
}
